Subject: Re: libmcrypt make issues...
From: "Gerrit P. Haase" <[email-masked]>
To: Pieter de Zwart <[email-masked]>
Cc: [email-masked]
Date: Sat, 13 Nov 2004 23:22:58 +0100

Pieter de Zwart wrote:

> Please dont flame, I am a n00b, but I have done some research..
> I am trying to run a little PHP daemon that requires the blowfish
> encryption algorithm. As such, I tried to install the libmcrypt library
> and then compile PHP, but so far, I have failed over and over again.
> The first time i tried to install libmcrypt, I ran configure with
> --disable-posix-threads like the PHP manual instructs me to do, and then
> I ran make, which yielded the standard:
> undefined reference to `_WinMain@16'
> I then tried to do make -i, but i get a whole bunch of errors (see
> attachment)
> then, if I run which libmcrypt, which i think is the way to see if
> something is installed, I get nothing.
> I also tried compiling php with --with-mcrypt=/full/path/to/mcrypt.h and
> that failed also (configure: error: mcrypt.h not found. Please reinstall
> libmcrypt.)
> Could someone please help me out!? I am getting kinda desperate here,
> and I dont have the experience to duke this one out on my own.
> thank you
> Pieter

Are the libmcrypt and libmcrypt-devel packages from the cygwin mirrors
not sufficient?  Just install the two packages using setup.exe.

PHP is somewhat broken, well say cygwin builds are not supported, try:
   --with-mcrypt=shared \
   --enable-mcrypt=shared \
since the mycrypt header is in a default location it should be detected 
by configure automatically, maybe also try --with-mcrypt=/usr.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/